#### D.2.3.9 kmemory

Procedure from library `general.lib` (see general_lib).

Usage:
  kmemory([n,[v]]); n,v integers

Return:
  memory in kilobyte of type bigint
  n=0: memory used by active variables (same as no parameters)
  n=1: total memory allocated by Singular

Display:
  detailed information about allocated and used memory if v!=0

Note:
  kmemory uses internal function 'memory' to compute kilobyte, and is the same as 'memory' for n!=0,1,2

Example:

    LIB "general.lib";
    kmemory();
    ==> 170
    kmemory(1,1);
    ==> // total memory allocated, at the moment, by SINGULAR (kilobyte):
    ==> 2102

User manual for Singular version 4.4.1, 2025, generated by texi2html.